Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sat, 17 Apr 2021 09:08:10 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> I poked around, and it's "Settings -> Sound -> System Sounds" in Gnome
> Shell that I had switched to a volume of zero.

Does that have an option to use a visual bell instead?

>> It is my understanding that Emacs is unusual in using the system bell
>> though.  It would be better to avoid it completely, even when that
>> setting is on.
>
> I turned the volume up, and saying "lTAB" in the shell (in a Console
> window) then beeped audibly.  So the default here is to make sounds.
> And I just checked the same on my Apple laptop -- the shell there also
> beeps a lot.

What is less clear to me is why Emacs should mimic the behavior of
terminal emulators of 1980s era terminals that mimicked 1970s era
terminals.  :-)